Will this work with 64-Bit Windows?

Both HyperTerminal 7.0 and HyperACCESS 9.0 will work with 64-bit Windows 7, 8, 8.1, and Vista.

Hilgraeve